;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
;<    |'\   |'\   |  |  |  |'\               |     |'\   |'\    /'\  |  |'\    >
;<    |  \  | /   |  |  |  |  \              |     |  \  | /   |  |  |  |  \   >
;<    |  /  | \   |  |  |  |  /     '| |'\  /|     |  /  | \   |  |  |  |  /   >
;<    |_/   |  \  \_/   |  |_/     ( | | | |_|     |_/   |  \  \_/   |  |_/    >
;vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
;<    A game for Amstrad CPC by Leosoft.       Code, gfx & music by Arnolde    >
;<                     === Entry for CPCRetrodev 2022 ===                      >
;vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;	dd-sound.asm - music & sfx - code AND data
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;All instruments, effects and tunes by Leonard Eröd

;this is basically the automatic output of Julien Nevo's marvellous
;Arkos Tracker 2 (data and code for the minimalist player)

;I only did the process described here:
;www.julien-nevo.com/arkostracker/index.php/using-a-song-in-production-using-any-assembler/
;to use and compile it in Winape...

;and tidied up a little...

PLY_AKM_REGISTERS_OFFSETVOLUME equ $+1
PLY_AKM_DATA_OFFSETTRANSPOSITION equ $+1
PLY_AKM_OFFSET1B equ $+1
PLY_AKM_STOP_SOUNDS equ $+1
PLY_AKM_USE_HOOKS equ $+1
DD_MUS_START
PLY_AKM_DATA_OFFSETWAITEMPTYCELL
	dw DD_MUS_INSTRUMENTINDEXES
PLY_AKM_SOUNDEFFECTDATA_OFFSETCURRENTSTEP equ $+1
PLY_AKM_SOUNDEFFECTDATA_OFFSETINVERTEDVOLUME
PLY_AKM_OFFSET2B
PLY_AKM_DATA_OFFSETPTSTARTTRACK
	dw 0
PLY_AKM_REGISTERS_OFFSETSOFTWAREPERIODLSB equ $+1
PLY_AKM_SOUNDEFFECTDATA_OFFSETSPEED
PLY_AKM_DATA_OFFSETPTTRACK
	dw 0
PLY_AKM_DATA_OFFSETESCAPENOTE equ $+1
PLY_AKM_DATA_OFFSETBASENOTE
	dw DD_MUS_ARPEGGIOINDEXES
PLY_AKM_DATA_OFFSETESCAPEWAIT equ $+1
PLY_AKM_DATA_OFFSETSECONDARYINSTRUMENT equ $+1
PLY_AKM_REGISTERS_OFFSETSOFTWAREPERIODMSB equ $+1
PLY_AKM_CHANNEL_SOUNDEFFECTDATASIZE
PLY_AKM_DATA_OFFSETESCAPEINSTRUMENT
	dw DD_MUS_SUBSONG1
PLY_AKM_DATA_OFFSETPTINSTRUMENT
	dw DD_MUS_SUBSONG2
PLY_AKM_DATA_OFFSETINSTRUMENTSPEED equ $+1
PLY_AKM_DATA_OFFSETINSTRUMENTCURRENTSTEP
	dw DD_MUS_SUBSONG3
PLY_AKM_TRACK1_DATA_SIZE equ $+1
PLY_AKM_DATA_OFFSETTRACKINVERTEDVOLUME
	dw DD_MUS_SUBSONG4
  	dw DD_MUS_SUBSONG5
  	dw DD_MUS_SUBSONG6
  	dw DD_MUS_SUBSONG7
  	dw DD_MUS_SUBSONG8
  	dw DD_MUS_SUBSONG9
  	dw DD_MUS_SUBSONG10
DD_MUS_INSTRUMENTINDEXES
	dw DD_MUS_INSTRUMENT0
  	dw DD_MUS_INSTRUMENT1
  	dw DD_MUS_INSTRUMENT2
  	dw DD_MUS_INSTRUMENT3
  	dw DD_MUS_INSTRUMENT4
  	dw DD_MUS_INSTRUMENT5
  	dw DD_MUS_INSTRUMENT6
  	dw DD_MUS_INSTRUMENT7
  	dw DD_MUS_INSTRUMENT8
  	dw DD_MUS_INSTRUMENT9
  	dw DD_MUS_INSTRUMENT10
  	dw DD_MUS_INSTRUMENT11
  	dw DD_MUS_INSTRUMENT12
  	dw DD_MUS_INSTRUMENT13
  	dw DD_MUS_INSTRUMENT14
  	dw DD_MUS_INSTRUMENT15
  	dw DD_MUS_INSTRUMENT16
  	dw DD_MUS_INSTRUMENT17
  	dw DD_MUS_INSTRUMENT18
  	dw DD_MUS_INSTRUMENT19
  	dw DD_MUS_INSTRUMENT20
  	dw DD_MUS_INSTRUMENT21
  	dw DD_MUS_INSTRUMENT22
  	dw DD_MUS_INSTRUMENT23
  	dw DD_MUS_INSTRUMENT24
  	dw DD_MUS_INSTRUMENT25
  	dw DD_MUS_INSTRUMENT26
  	dw DD_MUS_INSTRUMENT27
  	dw DD_MUS_INSTRUMENT28
  	dw DD_MUS_INSTRUMENT29
  	dw DD_MUS_INSTRUMENT30
  	dw DD_MUS_INSTRUMENT31
DD_MUS_INSTRUMENT0
	db 255
DD_MUS_INSTRUMENT0LOOP
	db 0,4
  	dw DD_MUS_INSTRUMENT0LOOP
DD_MUS_INSTRUMENT1
	db 0,61,53,45,33,165,24,169,38,177,24,41,37,33,37,169,24,37,33
DD_MUS_INSTRUMENT1LOOP
	db 37,29,89,1,0,29,4
  	dw DD_MUS_INSTRUMENT1LOOP
DD_MUS_INSTRUMENT2
	db 2,125,2,0,121,1,0,49
DD_MUS_INSTRUMENT2LOOP
	db 57,53,57,4
  	dw DD_MUS_INSTRUMENT2LOOP
DD_MUS_INSTRUMENT3
	db 0,224,4,0,224,1,4
  	dw DD_MUS_INSTRUMENT0LOOP
DD_MUS_INSTRUMENT4
	db 1,225,1,2,4,0,233,1,1,4,0,113,3,0,117,3,0
DD_MUS_INSTRUMENT4LOOP
	db 61,61,125,1,0,121,1,0,57,4
  	dw DD_MUS_INSTRUMENT4LOOP
DD_MUS_INSTRUMENT5
	db 1,57,53,49,41,37,33,29,25,4
  	dw DD_MUS_INSTRUMENT0LOOP
DD_MUS_INSTRUMENT6
	db 1,61,173,24,29,4
  	dw DD_MUS_INSTRUMENT0LOOP
DD_MUS_INSTRUMENT7
	db 2
DD_MUS_INSTRUMENT7LOOP
	db 61,57,57,53,49,53,57,61,4
  	dw DD_MUS_INSTRUMENT7LOOP
DD_MUS_INSTRUMENT8
	db 0
DD_MUS_INSTRUMENT8LOOP
	db 74,4
  	dw DD_MUS_INSTRUMENT8LOOP
DD_MUS_INSTRUMENT9
	db 1
DD_MUS_INSTRUMENT9LOOP
	db 121,1,0,53,117,255,255,57,4
  	dw DD_MUS_INSTRUMENT9LOOP
DD_MUS_INSTRUMENT10
	db 0,241,232,8,0,245,242,4,0
DD_MUS_INSTRUMENT10LOOP
	db 245,232,3,0,121,2,0,121,1,0,61,189,232,253,232,1,0,125,2,0,121,3,0,121,4
	db 0,4
  	dw DD_MUS_INSTRUMENT10LOOP
DD_MUS_INSTRUMENT11
	db 5,144,7,152,7,160,7,168,7,176,7,184,7,192,7,200,7,208,7,200,7,192,7,184,7
	db 176,7,168,7,160,7,152,7,144,7,4
  	dw DD_MUS_INSTRUMENT0LOOP
DD_MUS_INSTRUMENT12
	db 1,185,1,9,185,1,4,185,1,1,53,53,49,49,45,45,41,37,29
DD_MUS_INSTRUMENT12LOOP
	db 25,4
  	dw DD_MUS_INSTRUMENT12LOOP
DD_MUS_INSTRUMENT13
	db 0
DD_MUS_INSTRUMENT13LOOP
	db 61,189,6,49,177,6,33,161,6,61,189,238,49,177,238,33,161,238,4
  	dw DD_MUS_INSTRUMENT13LOOP
DD_MUS_INSTRUMENT14
	db 1,61,61,57,53,49,45,41
DD_MUS_INSTRUMENT14LOOP
	db 37,37,41,41,4
  	dw DD_MUS_INSTRUMENT14LOOP
DD_MUS_INSTRUMENT15
	db 0,248,15,224,6,200,3,176,1,152,1,4
  	dw DD_MUS_INSTRUMENT0LOOP
DD_MUS_INSTRUMENT16
	db 0,248,22,224,6,105,44,1,101,144,1,93,244,1,85,88,2,4
  	dw DD_MUS_INSTRUMENT0LOOP
DD_MUS_INSTRUMENT17
	db 2,177,1,1
DD_MUS_INSTRUMENT17LOOP
	db 49,4
  	dw DD_MUS_INSTRUMENT17LOOP
DD_MUS_INSTRUMENT18
	db 0,189,25,2,185,1,1,189,232,189,232,66,66,181,1,1,53,177,232,173,24
DD_MUS_INSTRUMENT18LOOP
	db 169,232,41,4
  	dw DD_MUS_INSTRUMENT18LOOP
DD_MUS_INSTRUMENT19
	db 2
DD_MUS_INSTRUMENT19LOOP
	db 61,121,1,0,57,4
  	dw DD_MUS_INSTRUMENT19LOOP
DD_MUS_INSTRUMENT20
	db 1
DD_MUS_INSTRUMENT20LOOP
	db 61,253,248,1,0,61,185,248,121,1,0,185,248,4
  	dw DD_MUS_INSTRUMENT20LOOP
DD_MUS_INSTRUMENT21
	db 1
DD_MUS_INSTRUMENT21LOOP
	db 61,253,250,1,0,61,185,250,121,1,0,185,250,4
  	dw DD_MUS_INSTRUMENT21LOOP
DD_MUS_INSTRUMENT22
	db 0,181,246,53,181,8,173,246,45,173,8,165,14,165,24,165,8,153,246,25,153,8
	db 141,246,13,141,8,4
  	dw DD_MUS_INSTRUMENT0LOOP
DD_MUS_INSTRUMENT23
	db 0,181,240,181,246,53,173,240,173,246,45,165,8,165,14,37,217,240,249,255
	db 153,246,25,141,240,141,246,13,4
  	dw DD_MUS_INSTRUMENT0LOOP
DD_MUS_INSTRUMENT24
	db 1
DD_MUS_INSTRUMENT24LOOP
	db 61,253,240,1,0,61,185,240,121,1,0,185,240,4
  	dw DD_MUS_INSTRUMENT24LOOP
DD_MUS_INSTRUMENT25
	db 1
DD_MUS_INSTRUMENT25LOOP
	db 61,253,238,1,0,61,185,238,121,1,0,185,238,4
  	dw DD_MUS_INSTRUMENT25LOOP
DD_MUS_INSTRUMENT26
	db 0,0,61,189,246,57,185,246,53,177,246,45,169,246
DD_MUS_INSTRUMENT26LOOP
	db 45,169,246,4
  	dw DD_MUS_INSTRUMENT26LOOP
DD_MUS_INSTRUMENT27
	db 0
DD_MUS_INSTRUMENT27LOOP
	db 125,1,0,189,24,185,48,253,24,255,255,4
  	dw DD_MUS_INSTRUMENT27LOOP
DD_MUS_INSTRUMENT28
	db 2,221,25,1,1,0,121,1,0,61,253,6,1,0,61,125,1,0,189,6,125,1,0,61,189,6,125
	db 1,0,61,61,125,1,0,121,1,0,117,2,0,113,2,0,109,3,0,105,3,0,4
  	dw DD_MUS_INSTRUMENT0LOOP
DD_MUS_INSTRUMENT29
	db 3,34,34,216,29,248,31,216,30,224,30,216,24,208,23,200,22,192,21,184,20
	db 176,19,160,19,144,19,4
  	dw DD_MUS_INSTRUMENT0LOOP
DD_MUS_INSTRUMENT30
	db 6
DD_MUS_INSTRUMENT30LOOP
	db 125,254,255,125,2,0,4
  	dw DD_MUS_INSTRUMENT30LOOP
DD_MUS_INSTRUMENT31
	db 2
DD_MUS_INSTRUMENT31LOOP
	db 21,153,252,29,153,4,149,14,153,4,29,161,4,157,14,153,20,157,24,161,20,161
	db 24,157,14,153,4,21,25,157,14,161,24,157,20,153,14,157,4,161,252,29,25,153
	db 14,29,157,14,153,24,149,14,4
  	dw DD_MUS_INSTRUMENT31LOOP
DD_MUS_ARPEGGIOINDEXES
DD_MUS_PITCHINDEXES
DD_MUS_SUBSONG0
	dw DD_MUS_SUBSONG0_NOTEINDEXES
  	dw DD_MUS_SUBSONG0_TRACKINDEXES
	db 6,6,1,0,1,80,19,2,12,170,17,137,1,211,1,233
	db 190,15,251,132,251,128,137,220,0,137,252,252,132,252,254,132,254,130,0
	db 137,188,0,129,0,128,132,220,251,132,251,251,129,220,249,129,252,252,132
	db 220,0,138,254,251,129
DD_MUS_SUBSONG0_LOOP
	db 88,131,0,0,120,133,251,130,251,252,252,132,252,128,0,134,220,0,138,254,251
	db 135,216,131,0,0,129,124,5,133,251,130,251,252,252,132,252,128,252,135
	db 220,0,138,254,2,134,216,131,0,0,129,120,1,50,251,130,251,248,136,249,128
	db 2,134,84,254,247,0,220,5,131,249,5,129,220,250,136,0,0,135,220,2,131,249
	db 2,129,188,0,1,57,254,130,135,252,10,131,250,128,3,129,88,133,1,254,84,8
	db 250,0,252,250,136,255,130,2,135,236,3,131,128,8,129,248,133,250,130,3,134
	db 244,1,252,128,8,129,252,0,1,10,254,130,2,134,252,7,131,3,128,0,129,124,12
	db 133,254,130,251,252,7,131,0,128,0,134,188,253,136,2,130,135,188,12,139
	db 251,128,129,84,5,0,251,84,1,252,249,124,0,138,254,130,251,1,0
  	dw DD_MUS_SUBSONG0_LOOP
DD_MUS_SUBSONG0_TRACKINDEXES
	dw DD_MUS_SUBSONG0_TRACK1
  	dw DD_MUS_SUBSONG0_TRACK5
  	dw DD_MUS_SUBSONG0_TRACK11
  	dw DD_MUS_SUBSONG0_TRACK3
  	dw DD_MUS_SUBSONG0_TRACK6
  	dw DD_MUS_SUBSONG0_TRACK4
  	dw DD_MUS_SUBSONG0_TRACK7
  	dw DD_MUS_SUBSONG0_TRACK8
  	dw DD_MUS_SUBSONG0_TRACK10
  	dw DD_MUS_SUBSONG0_TRACK0
  	dw DD_MUS_SUBSONG0_TRACK2
  	dw DD_MUS_SUBSONG0_TRACK12
DD_MUS_SUBSONG0_TRACK0
	db 205,127
DD_MUS_SUBSONG0_TRACK1
	db 176,8,115,5,120,3,180,14,176,12,177,3,116,5,113,15,179,17,246,5,127
DD_MUS_SUBSONG0_TRACK2
	db 12,206,24,3,34,221,2,50,12,254,57,4,4,34,245,19,127
DD_MUS_SUBSONG0_TRACK3
	db 12,199,8,34,245,4,2,183,19,194,127
DD_MUS_SUBSONG0_TRACK4
	db 12,199,7,34,197,6,221,127,98
DD_MUS_SUBSONG0_TRACK5
	db 141,12,178,23,34,12,130,50,12,130,66,2,12,130,50,12,66,66,12,241,3,127,34
DD_MUS_SUBSONG0_TRACK6
	db 12,198,3,50,29,66,29,82,221,2,114,249,0,127
DD_MUS_SUBSONG0_TRACK7
	db 77,12,94,86,50,94,77,94,78,158,87,94,86,94,77,94,76,30,85,94,84,94,75,94
	db 74,222,83,127
DD_MUS_SUBSONG0_TRACK8
	db 141,12,95,50,94,83,30,87,94,82,94,85,30,89,94,84,94,88,222,91,127
DD_MUS_SUBSONG0_TRACK9
	db 206,67,7,206,69,127
DD_MUS_SUBSONG0_TRACK10
	db 12,206,71,13,34,221,127,50
DD_MUS_SUBSONG0_TRACK11
	db 176,8,115,5,120,3,180,14,176,12,177,3,65,113,15,116,5,64,115,12,240,8,127
DD_MUS_SUBSONG0_TRACK12
	db 13,254,57,28,127
DD_MUS_SUBSONG0_TRACK13
	db 12,197,7,34,121,0,117,14,71,78,64,66,78,67,78,69,206,70,127
DD_MUS_SUBSONG0_TRACK14
	db 141,12,176,8,34,115,5,120,3,180,14,176,12,177,3,116,5,113,15,179,17,246,5
	db 127
DD_MUS_SUBSONG0_TRACK15
	db 141,12,198,3,50,29,66,29,82,221,2,114,249,0,127
DD_MUS_SUBSONG0_NOTEINDEXES
	db 38,36,65,33,40,60,26,62,39,48
DD_MUS_SUBSONG1
	dw DD_MUS_SUBSONG1_NOTEINDEXES
  	dw DD_MUS_SUBSONG1_TRACKINDEXES
	db 9,6,1,0,1,41,17,2,12,238,1,3,131,131,7,131
	db 170,7,138,138,138
DD_MUS_SUBSONG1_LOOP
	db 168,139,139,139,168,1,171,128,1,168,204,0,131,0,131,0,168,0,226,132,133
	db 168,0,244,134,135,248,136,249,132,5,133,188,252,130,0,140,129,84,254,2,3
	db 124,0,1,83,0,128,0,136,137,131,136,141,142,168,133,132,0,185,168,135,134
	db 0,203,188,5,133,249,132,136,252,10,129,0,140,1,130,116,8,3,128,3,212,5
	db 252,249,1,40,140,0,131,137,136,142,141,200,136,0,135,252,1,130,0,134,5
	db 133,252,0,136,249,132,0,1,80,216,143,2,14,129,232,130,134,7,135,172,255
	db 137,128,129,92,0,130,3,5,88,143,2,7,216,135,252,0,136,252,5,133,0,134,1
	db 130,252,0,1,40,249,132,0,136,220,14,129,2,255,137,236,7,135,134,0,130,168
	db 129,128,143,148,5,3,130,212,7,2,255,137,12,0,142,184,131,0,1,10,141,220
	db 244,130,253,244,129,252,3,138,0,1,13,7,138,1,0
  	dw DD_MUS_SUBSONG1_LOOP
DD_MUS_SUBSONG1_TRACKINDEXES
	dw DD_MUS_SUBSONG1_TRACK9
  	dw DD_MUS_SUBSONG1_TRACK11
  	dw DD_MUS_SUBSONG1_TRACK10
  	dw DD_MUS_SUBSONG1_TRACK0
  	dw DD_MUS_SUBSONG1_TRACK7
  	dw DD_MUS_SUBSONG1_TRACK2
  	dw DD_MUS_SUBSONG1_TRACK8
  	dw DD_MUS_SUBSONG1_TRACK3
  	dw DD_MUS_SUBSONG1_TRACK5
  	dw DD_MUS_SUBSONG1_TRACK13
  	dw DD_MUS_SUBSONG1_TRACK15
  	dw DD_MUS_SUBSONG1_TRACK16
  	dw DD_MUS_SUBSONG1_TRACK6
  	dw DD_MUS_SUBSONG1_TRACK14
  	dw DD_MUS_SUBSONG1_TRACK18
  	dw DD_MUS_SUBSONG1_TRACK22
DD_MUS_SUBSONG1_TRACK0
	db 205,127
DD_MUS_SUBSONG1_TRACK1
	db 12,15,50,79,206,43,127
DD_MUS_SUBSONG1_TRACK2
	db 12,254,45,19,3,34,201,127
DD_MUS_SUBSONG1_TRACK3
	db 12,254,50,19,3,34,201,127
DD_MUS_SUBSONG1_TRACK4
	db 15,79,206,45,127
DD_MUS_SUBSONG1_TRACK5
	db 12,14,46,50,79,206,45,127
DD_MUS_SUBSONG1_TRACK6
	db 190,34,8,12,127,12,50,12,126,22,14,34,190,31,8,12,127,12,50,12,254,19,14
	db 127,34
DD_MUS_SUBSONG1_TRACK7
	db 176,8,12,112,12,50,12,118,14,34,177,8,12,113,12,50,12,254,24,14,127,34
DD_MUS_SUBSONG1_TRACK8
	db 190,34,8,12,127,12,50,12,126,22,14,34,179,8,12,115,12,50,12,254,21,14,127
	db 34
DD_MUS_SUBSONG1_TRACK9
	db 176,8,12,112,12,50,12,118,14,34,179,8,12,115,12,50,12,254,21,14,127,34
DD_MUS_SUBSONG1_TRACK10
	db 12,14,45,50,79,207,127
DD_MUS_SUBSONG1_TRACK11
	db 254,45,19,127
DD_MUS_SUBSONG1_TRACK12
	db 15,79,143,12,126,69,26,50,206,72,127
DD_MUS_SUBSONG1_TRACK13
	db 190,69,26,79,78,72,142,69,78,67,206,72,127
DD_MUS_SUBSONG1_TRACK14
	db 254,69,26,6,249,0,127
DD_MUS_SUBSONG1_TRACK15
	db 12,183,5,34,71,78,63,247,14,127
DD_MUS_SUBSONG1_TRACK16
	db 141,117,5,69,142,58,197,127
DD_MUS_SUBSONG1_TRACK17
	db 183,14,157,66,157,98,249,0,127
DD_MUS_SUBSONG1_TRACK18
	db 141,157,50,157,66,221,127,114
DD_MUS_SUBSONG1_TRACK19
	db 254,55,19,3,206,57,127
DD_MUS_SUBSONG1_TRACK20
	db 141,12,110,80,18,110,71,110,70,110,79,110,78,238,69,127
DD_MUS_SUBSONG1_TRACK21
	db 182,19,12,119,5,50,78,63,247,14,127
DD_MUS_SUBSONG1_TRACK22
	db 142,44,12,110,80,34,110,71,110,69,110,78,110,76,238,68,127
DD_MUS_SUBSONG1_NOTEINDEXES
	db 38,36,65,33,40,60,26,62,39,48
DD_MUS_SUBSONG2
	dw DD_MUS_SUBSONG2_NOTEINDEXES
  	dw DD_MUS_SUBSONG2_TRACKINDEXES
	db 8,6,1,0,1,50,8,2,12,170,14,2,41,2,62,2,47
DD_MUS_SUBSONG2_LOOP
	db 238,11,254,129,132,254,131,100,252,1,22,252,100,254,132,254,68,0,0,100
	db 254,138,254,100,252,132,252,100,254,0,226,254,100,0,0,232,0,100,254,0,237
	db 254,100,252,138,252,100,254,0,207,254,100,0,0,213,0,116,254,5,0,217,254
	db 116,252,0,138,252,228,254,1,128,0,0,226,236,244,128,133,24,134,84,246,255
	db 23,84,249,254,22,212,241,253,21,139,212,243,252,20,1,175,212,246,251,19
	db 134,244,250,0,0,222,18,139,108,0,1,94,0,227,25,232,130,135,255,128,232
	db 1,8,1,45,0,132,40,130,135,164,2,1,46,1,54,228,0,136,255,128,100,7,137,1
	db 100,0,136,3,100,251,137,6,100,0,135,255,232,0,227,1,8,0,132,40,130,135
	db 164,2,1,9,1,17,228,0,136,255,128,100,7,137,1,52,254,254,136,100,5,137,4
	db 116,252,0,1,44,251,236,0,129,1,54,0,1,73,1,0
  	dw DD_MUS_SUBSONG2_LOOP
DD_MUS_SUBSONG2_TRACKINDEXES
	dw DD_MUS_SUBSONG2_TRACK12
  	dw DD_MUS_SUBSONG2_TRACK2
  	dw DD_MUS_SUBSONG2_TRACK14
  	dw DD_MUS_SUBSONG2_TRACK1
  	dw DD_MUS_SUBSONG2_TRACK0
  	dw DD_MUS_SUBSONG2_TRACK9
  	dw DD_MUS_SUBSONG2_TRACK26
  	dw DD_MUS_SUBSONG2_TRACK16
  	dw DD_MUS_SUBSONG2_TRACK22
  	dw DD_MUS_SUBSONG2_TRACK23
  	dw DD_MUS_SUBSONG2_TRACK7
  	dw DD_MUS_SUBSONG2_TRACK13
DD_MUS_SUBSONG2_TRACK0
	db 205,127
DD_MUS_SUBSONG2_TRACK1
	db 141,12,238,81,3,82,46,74,238,81,127
DD_MUS_SUBSONG2_TRACK2
	db 12,238,86,3,82,46,77,239,127
DD_MUS_SUBSONG2_TRACK3
	db 205,3,12,62,45,10,82,12,201,127,66
DD_MUS_SUBSONG2_TRACK4
	db 12,255,10,5,50,137,143,206,53,127
DD_MUS_SUBSONG2_TRACK5
	db 12,255,10,5,34,157,50,12,201,127,66
DD_MUS_SUBSONG2_TRACK6
	db 141,12,244,11,127,18
DD_MUS_SUBSONG2_TRACK7
	db 12,244,11,127,2
DD_MUS_SUBSONG2_TRACK8
	db 141,174,79,12,254,69,4,3,50,254,72,19,2,221,127,34
DD_MUS_SUBSONG2_TRACK9
	db 12,174,86,34,174,81,174,77,174,74,174,77,238,81,127
DD_MUS_SUBSONG2_TRACK10
	db 174,80,174,75,174,73,174,68,174,73,238,75,127
DD_MUS_SUBSONG2_TRACK11
	db 174,80,174,75,174,72,174,68,174,63,238,56,127
DD_MUS_SUBSONG2_TRACK12
	db 192,127
DD_MUS_SUBSONG2_TRACK13
	db 255,19,127
DD_MUS_SUBSONG2_TRACK14
	db 12,126,25,14,50,78,32,78,37,78,32,78,41,78,37,110,56,78,41,78,49,78,44
	db 110,61,206,37,127
DD_MUS_SUBSONG2_TRACK15
	db 12,126,25,14,50,67,78,37,67,78,42,78,37,110,54,78,51,78,49,78,45,110,61
	db 206,37,127
DD_MUS_SUBSONG2_TRACK16
	db 12,242,25,5,50,157,82,12,254,56,21,127,50
DD_MUS_SUBSONG2_TRACK17
	db 254,57,21,3,62,68,25,206,66,127
DD_MUS_SUBSONG2_TRACK18
	db 254,55,21,3,62,64,25,206,63,127
DD_MUS_SUBSONG2_TRACK19
	db 206,27,7,206,32,127
DD_MUS_SUBSONG2_TRACK20
	db 205,5,12,238,72,3,50,238,79,127
DD_MUS_SUBSONG2_TRACK21
	db 206,20,4,12,126,44,14,66,78,42,72,12,65,50,78,32,78,30,206,27,127
DD_MUS_SUBSONG2_TRACK22
	db 254,61,24,5,133,143,242,25,127
DD_MUS_SUBSONG2_TRACK23
	db 245,25,127
DD_MUS_SUBSONG2_TRACK24
	db 12,244,11,4,18,110,57,110,61,110,64,174,69,238,73,127
DD_MUS_SUBSONG2_TRACK25
	db 126,74,25,93,34,249,0,127
DD_MUS_SUBSONG2_TRACK26
	db 255,19,5,137,143,206,53,127
DD_MUS_SUBSONG2_TRACK27
	db 255,4,7,249,19,127
DD_MUS_SUBSONG2_TRACK28
	db 64,121,0,12,238,81,3,82,46,74,238,81,127
DD_MUS_SUBSONG2_TRACK29
	db 13,12,222,86,3,82,46,77,239,127
DD_MUS_SUBSONG2_TRACK30
	db 13,185,0,12,238,81,3,82,46,74,238,81,127
DD_MUS_SUBSONG2_TRACK31
	db 77,249,0,127
DD_MUS_SUBSONG2_NOTEINDEXES
	db 38,36,65,33,40,60,26,62,39,48
DD_MUS_SUBSONG3
	dw DD_MUS_SUBSONG3_NOTEINDEXES
  	dw DD_MUS_SUBSONG3_TRACKINDEXES
	db 7,6,1,0,1,57,20,2,12
DD_MUS_SUBSONG3_LOOP
	db 190,7,0,131,0,139,131,4,7,36,12,2,92,188,7,128,249,144,1,197,188,254,140
	db 0,2,79,131,36,249,139,28,5,128,254,252,244,140,0,2,85,244,140,236,12,128
	db 138,0,130,32,141,36,7,133,32,137,44,12,129,142,68,10,2,108,7,128,133,0,32
	db 137,36,12,138,32,141,100,14,144,2,32,145,108,12,129,136,0,68,10,2,124,7
	db 128,12,133,0,172,3,129,137,1,117,172,0,134,138,128,32,141,104,135,133,251
	db 96,137,7,224,142,12,129,76,2,134,10,236,0,135,133,7,128,224,137,15,129
	db 232,134,138,0,128,32,141,100,2,144,2,96,145,14,236,0,135,136,12,129,76,2
	db 134,10,252,0,135,24,133,251,128,248,0,177,0,146,5,1,162,232,147,1,68,8
	db 129,232,132,146,7,128,124,254,147,254,1,55,6,232,132,145,13,129,224,136,5
	db 128,192,10,129,244,0,10,133,7,128,56,143,254,146,248,132,0,1,74,3,129,224
	db 1,77,7,128,236,253,143,1,79,12,129,104,147,1,79,17,124,2,143,2,1,49,5,232
	db 132,1,52,253,128,116,251,7,133,2,252,239,143,251,131,0,1,72,1,0
  	dw DD_MUS_SUBSONG3_LOOP
DD_MUS_SUBSONG3_TRACKINDEXES
	dw DD_MUS_SUBSONG3_TRACK6
  	dw DD_MUS_SUBSONG3_TRACK10
  	dw DD_MUS_SUBSONG3_TRACK13
  	dw DD_MUS_SUBSONG3_TRACK0
  	dw DD_MUS_SUBSONG3_TRACK18
  	dw DD_MUS_SUBSONG3_TRACK4
  	dw DD_MUS_SUBSONG3_TRACK7
  	dw DD_MUS_SUBSONG3_TRACK8
  	dw DD_MUS_SUBSONG3_TRACK12
  	dw DD_MUS_SUBSONG3_TRACK1
  	dw DD_MUS_SUBSONG3_TRACK2
  	dw DD_MUS_SUBSONG3_TRACK26
  	dw DD_MUS_SUBSONG3_TRACK28
  	dw DD_MUS_SUBSONG3_TRACK3
  	dw DD_MUS_SUBSONG3_TRACK9
  	dw DD_MUS_SUBSONG3_TRACK23
  	dw DD_MUS_SUBSONG3_TRACK25
  	dw DD_MUS_SUBSONG3_TRACK11
  	dw DD_MUS_SUBSONG3_TRACK15
  	dw DD_MUS_SUBSONG3_TRACK17
DD_MUS_SUBSONG3_TRACK0
	db 157,66,157,98,157,130,12,249,0,127,0
DD_MUS_SUBSONG3_TRACK1
	db 157,66,157,98,12,143,34,245,21,127
DD_MUS_SUBSONG3_TRACK2
	db 12,199,5,34,245,21,127
DD_MUS_SUBSONG3_TRACK3
	db 7,114,21,183,20,245,21,127
DD_MUS_SUBSONG3_TRACK4
	db 207,127
DD_MUS_SUBSONG3_TRACK5
	db 126,53,22,127,23,126,41,22,255,23,3,12,249,0,127,0
DD_MUS_SUBSONG3_TRACK6
	db 126,34,8,12,121,3,34,73,112,8,121,0,12,113,3,50,126,41,8,12,249,3,127,34
DD_MUS_SUBSONG3_TRACK7
	db 12,190,58,23,18,79,79,121,15,191,23,207,127
DD_MUS_SUBSONG3_TRACK8
	db 190,53,22,79,79,113,15,191,22,207,127
DD_MUS_SUBSONG3_TRACK9
	db 143,93,66,93,98,12,143,34,245,21,127
DD_MUS_SUBSONG3_TRACK10
	db 112,8,12,126,52,3,34,12,79,50,115,8,121,0,113,3,118,8,12,255,3,127,34
DD_MUS_SUBSONG3_TRACK11
	db 157,50,93,66,114,21,157,34,206,67,127
DD_MUS_SUBSONG3_TRACK12
	db 14,69,93,66,12,178,21,34,206,67,127
DD_MUS_SUBSONG3_TRACK13
	db 12,185,16,82,116,15,132,68,196,127
DD_MUS_SUBSONG3_TRACK14
	db 141,12,113,16,34,12,129,50,12,113,15,18,12,193,127,34
DD_MUS_SUBSONG3_TRACK15
	db 77,157,66,78,69,157,34,245,21,127
DD_MUS_SUBSONG3_TRACK16
	db 254,61,21,3,206,70,2,254,69,20,127
DD_MUS_SUBSONG3_TRACK17
	db 12,110,70,34,110,73,110,77,110,82,126,64,15,110,77,110,73,226,127
DD_MUS_SUBSONG3_TRACK18
	db 110,69,110,72,110,77,110,81,126,64,15,110,77,110,72,226,127
DD_MUS_SUBSONG3_TRACK19
	db 207,3,142,58,254,59,21,127
DD_MUS_SUBSONG3_TRACK20
	db 245,21,3,183,20,254,63,21,127
DD_MUS_SUBSONG3_TRACK21
	db 242,21,3,247,24,127
DD_MUS_SUBSONG3_TRACK22
	db 254,58,21,3,157,66,12,197,127,34
DD_MUS_SUBSONG3_TRACK23
	db 82,121,0,82,94,77,73,95,210,127
DD_MUS_SUBSONG3_TRACK24
	db 177,8,249,0,3,81,201,127
DD_MUS_SUBSONG3_TRACK25
	db 254,67,21,127
DD_MUS_SUBSONG3_TRACK26
	db 12,117,21,50,121,0,114,22,130,127,20,117,21,249,0,127
DD_MUS_SUBSONG3_TRACK27
	db 71,121,0,126,70,22,143,126,53,21,119,20,249,0,127
DD_MUS_SUBSONG3_TRACK28
	db 121,8,249,0,127
DD_MUS_SUBSONG3_TRACK29
	db 12,181,22,2,185,0,12,191,20,18,245,21,127
DD_MUS_SUBSONG3_NOTEINDEXES
	db 38,36,65,33,40,60,26,62,39,48
DD_MUS_SUBSONG4
	dw DD_MUS_SUBSONG4_NOTEINDEXES
  	dw DD_MUS_SUBSONG4_TRACKINDEXES
	db 8,6,1,0,1,59,20,8,12,170,18,2,124,2,124,2,120
DD_MUS_SUBSONG4_LOOP
	db 234,15,131,128,0,131,40,130,129,168,137,128,0,227,168,130,129,133,168,137
	db 128,134,168,130,129,133,168,137,128,134,168,130,129,138,168,139,128,135
	db 168,0,245,129,140,184,1,194,5,128,1,184,184,131,254,129,132,160,128,136
	db 168,0,233,129,132,168,1,215,128,136,168,1,4,129,132,168,1,226,128,136,248
	db 1,64,5,129,7,132,168,1,243,128,136,252,2,1,51,7,129,253,132,232,1,230,128
	db 0,0,136,188,0,0,240,0,129,133,168,1,235,128,134,168,0,229,129,133,168,1
	db 225,128,134,168,130,129,138,168,0,241,128,135,168,130,129,140,248,139,249
	db 128,244,135,248,130,0,129,0,138,168,0,220,128,135,168,130,129,140,248,139
	db 249,128,244,1,204,248,131,0,129,3,1,59,1,0
  	dw DD_MUS_SUBSONG4_LOOP
DD_MUS_SUBSONG4_TRACKINDEXES
	dw DD_MUS_SUBSONG4_TRACK15
  	dw DD_MUS_SUBSONG4_TRACK1
  	dw DD_MUS_SUBSONG4_TRACK2
  	dw DD_MUS_SUBSONG4_TRACK0
  	dw DD_MUS_SUBSONG4_TRACK10
  	dw DD_MUS_SUBSONG4_TRACK4
  	dw DD_MUS_SUBSONG4_TRACK17
  	dw DD_MUS_SUBSONG4_TRACK18
  	dw DD_MUS_SUBSONG4_TRACK21
  	dw DD_MUS_SUBSONG4_TRACK16
  	dw DD_MUS_SUBSONG4_TRACK5
  	dw DD_MUS_SUBSONG4_TRACK7
  	dw DD_MUS_SUBSONG4_TRACK6
DD_MUS_SUBSONG4_TRACK0
	db 249,0,127
DD_MUS_SUBSONG4_TRACK1
	db 112,8,121,0,12,158,14,50,12,177,3,66,118,5,70,12,150,50,147,147,12,241,15
	db 127,66
DD_MUS_SUBSONG4_TRACK2
	db 12,247,25,11,114,245,24,127
DD_MUS_SUBSONG4_TRACK3
	db 205,7,12,238,45,3,18,233,127
DD_MUS_SUBSONG4_TRACK4
	db 238,50,3,41,175,174,53,174,50,233,127
DD_MUS_SUBSONG4_TRACK5
	db 238,50,3,46,53,46,55,238,57,127
DD_MUS_SUBSONG4_TRACK6
	db 238,55,3,46,53,46,50,238,45,127
DD_MUS_SUBSONG4_TRACK7
	db 207,7,206,57,127
DD_MUS_SUBSONG4_TRACK8
	db 12,247,25,11,98,245,24,127
DD_MUS_SUBSONG4_TRACK9
	db 12,94,76,66,158,67,94,68,158,77,94,76,222,67,2,94,66,30,75,94,74,210,127
DD_MUS_SUBSONG4_TRACK10
	db 12,254,24,5,3,50,185,22,9,190,55,23,207,127
DD_MUS_SUBSONG4_TRACK11
	db 85,94,64,222,67,2,87,82,30,69,94,71,94,67,30,64,210,127
DD_MUS_SUBSONG4_TRACK12
	db 12,247,25,3,114,12,94,74,66,82,94,66,94,75,94,74,82,94,64,94,73,12,245,24
	db 127,114
DD_MUS_SUBSONG4_TRACK13
	db 79,12,94,71,82,87,94,63,94,66,94,70,94,73,94,64,82,94,69,94,72,12,206,57
	db 127,114
DD_MUS_SUBSONG4_TRACK14
	db 94,79,94,74,94,71,94,70,94,73,158,78,94,77,94,72,222,69,2,94,68,94,77,94
	db 76,222,67,127
DD_MUS_SUBSONG4_TRACK15
	db 112,8,121,0,12,158,14,50,12,118,5,66,70,12,150,50,147,147,12,177,15,66,12
	db 222,12,127,34
DD_MUS_SUBSONG4_TRACK16
	db 206,57,7,245,24,127
DD_MUS_SUBSONG4_TRACK17
	db 174,45,12,94,69,66,94,72,190,69,5,94,57,85,143,12,174,43,18,174,45,233,127
DD_MUS_SUBSONG4_TRACK18
	db 239,7,238,57,127
DD_MUS_SUBSONG4_TRACK19
	db 238,47,13,249,0,127
DD_MUS_SUBSONG4_TRACK20
	db 254,19,19,2,12,94,55,66,94,59,87,94,57,85,94,64,94,59,87,94,66,85,94,64
	db 94,67,222,71,127
DD_MUS_SUBSONG4_TRACK21
	db 190,24,5,185,22,201,3,190,55,23,207,127
DD_MUS_SUBSONG4_TRACK22
	db 77,94,64,222,72,2,94,68,158,59,85,158,69,94,70,94,61,87,222,71,127
DD_MUS_SUBSONG4_TRACK23
	db 94,69,158,72,94,74,94,71,158,67,94,69,94,72,94,76,94,77,94,73,94,70,94,71
	db 94,74,222,78,127
DD_MUS_SUBSONG4_TRACK24
	db 94,66,222,75,4,94,74,82,94,64,222,73,3,94,74,94,67,215,127
DD_MUS_SUBSONG4_TRACK25
	db 206,57,3,12,94,67,66,94,70,94,74,94,69,94,72,94,76,12,245,24,127,114
DD_MUS_SUBSONG4_TRACK26
	db 239,7,229,127
DD_MUS_SUBSONG4_TRACK27
	db 205,127
DD_MUS_SUBSONG4_TRACK28
	db 205,2,112,8,121,0,12,158,14,50,12,177,3,66,118,5,70,12,150,50,147,147,12
	db 241,15,127,66
DD_MUS_SUBSONG4_NOTEINDEXES
	db 38,36,65,33,40,60,26,62,39,48
DD_MUS_SUBSONG5
	dw DD_MUS_SUBSONG5_NOTEINDEXES
  	dw DD_MUS_SUBSONG5_TRACKINDEXES
	db 9,6,1,0,1,46,14,0,12
DD_MUS_SUBSONG5_LOOP
	db 254,7,0,132,0,134,0,139,168,1,100,1,76,140,168,141,142,135,236,237,130
	db 130,252,130,236,253,141,142,2,140,236,0,1,137,143,16,1,133,232,136,1,122
	db 0,1,133,248,131,249,130,241,130,252,244,1,160,0,134,0,139,168,1,165,1,25
	db 140,168,141,142,135,252,253,131,5,130,253,130,250,5,136,16,135,7,135,212
	db 0,14,253,130,190,3,249,131,6,143,143,254,7,246,136,2,1,62,2,1,73,248,131
	db 251,130,243,130,254,5,0,129,0,144,0,128,84,2,2,254,118,3,251,0,1,169,3
	db 102,7,255,1,114,251,100,0,1,120,0,50,5,3,1,155,116,2,5,144,254,118,3,251
	db 4,1,141,3,118,7,2,3,1,85,254,116,251,7,130,3,252,3,128,17,139,12,135,230
	db 5,252,134,24,0,183,244,254,0,133,2,137,84,5,254,0,244,3,0,145,7,130,228
	db 1,137,242,133,244,0,249,133,244,145,244,5,5,130,249,129,116,254,0,133,2
	db 84,5,254,0,116,3,0,145,254,100,1,137,252,116,0,249,133,254,122,7,131,5
	db 130,253,188,249,132,2,134,132,236,253,131,138,250,129,252,251,132,7,134
	db 254,132,236,254,131,138,251,129,252,3,132,12,134,7,132,238,3,7,131,130
	db 248,129,84,5,14,5,246,15,4,16,138,7,138,1,0
  	dw DD_MUS_SUBSONG5_LOOP
DD_MUS_SUBSONG5_TRACKINDEXES
	dw DD_MUS_SUBSONG5_TRACK21
  	dw DD_MUS_SUBSONG5_TRACK18
  	dw DD_MUS_SUBSONG5_TRACK3
  	dw DD_MUS_SUBSONG5_TRACK15
  	dw DD_MUS_SUBSONG5_TRACK4
  	dw DD_MUS_SUBSONG5_TRACK25
  	dw DD_MUS_SUBSONG5_TRACK0
  	dw DD_MUS_SUBSONG5_TRACK10
  	dw DD_MUS_SUBSONG5_TRACK7
  	dw DD_MUS_SUBSONG5_TRACK27
  	dw DD_MUS_SUBSONG5_TRACK28
  	dw DD_MUS_SUBSONG5_TRACK8
  	dw DD_MUS_SUBSONG5_TRACK9
  	dw DD_MUS_SUBSONG5_TRACK6
  	dw DD_MUS_SUBSONG5_TRACK2
  	dw DD_MUS_SUBSONG5_TRACK11
  	dw DD_MUS_SUBSONG5_TRACK22
  	dw DD_MUS_SUBSONG5_TRACK26
DD_MUS_SUBSONG5_TRACK0
	db 12,206,57,3,34,181,5,197,127
DD_MUS_SUBSONG5_TRACK1
	db 199,5,245,5,127
DD_MUS_SUBSONG5_TRACK2
	db 199,2,117,5,135,194,127
DD_MUS_SUBSONG5_TRACK3
	db 199,127
DD_MUS_SUBSONG5_TRACK4
	db 12,206,50,3,50,137,201,127
DD_MUS_SUBSONG5_TRACK5
	db 207,5,201,127
DD_MUS_SUBSONG5_TRACK6
	db 207,2,121,5,143,206,41,127
DD_MUS_SUBSONG5_TRACK7
	db 193,3,176,5,192,127
DD_MUS_SUBSONG5_TRACK8
	db 12,206,53,3,50,190,55,5,207,127
DD_MUS_SUBSONG5_TRACK9
	db 206,53,5,254,55,5,127
DD_MUS_SUBSONG5_TRACK10
	db 206,53,2,126,55,5,142,53,206,57,127
DD_MUS_SUBSONG5_TRACK11
	db 190,58,5,143,247,14,127
DD_MUS_SUBSONG5_TRACK12
	db 197,3,190,57,5,207,127
DD_MUS_SUBSONG5_TRACK13
	db 184,5,136,254,34,14,127
DD_MUS_SUBSONG5_TRACK14
	db 206,51,3,190,50,5,201,127
DD_MUS_SUBSONG5_TRACK15
	db 12,190,43,17,50,126,31,5,127,17,78,43,121,0,190,31,5,142,43,142,42,254,41
	db 8,2,254,29,7,127
DD_MUS_SUBSONG5_TRACK16
	db 142,50,118,17,64,185,5,121,17,249,0,127
DD_MUS_SUBSONG5_TRACK17
	db 143,126,34,17,79,78,46,121,0,249,5,127
DD_MUS_SUBSONG5_TRACK18
	db 12,183,25,66,177,15,129,247,25,127
DD_MUS_SUBSONG5_TRACK19
	db 142,64,143,190,67,9,127,5,255,14,127
DD_MUS_SUBSONG5_TRACK20
	db 130,142,64,247,9,2,247,5,127
DD_MUS_SUBSONG5_TRACK21
	db 12,112,8,50,83,80,94,45,94,50,94,57,94,50,222,45,127
DD_MUS_SUBSONG5_TRACK22
	db 12,183,9,34,119,5,117,9,71,247,5,127
DD_MUS_SUBSONG5_TRACK23
	db 130,194,127
DD_MUS_SUBSONG5_TRACK24
	db 183,9,119,5,126,61,9,71,247,5,127
DD_MUS_SUBSONG5_TRACK25
	db 12,206,76,2,50,126,74,5,206,72,127
DD_MUS_SUBSONG5_TRACK26
	db 206,72,3,254,69,5,127
DD_MUS_SUBSONG5_TRACK27
	db 206,70,2,126,69,5,206,67,127
DD_MUS_SUBSONG5_TRACK28
	db 135,87,94,53,94,54,94,63,87,94,53,12,94,52,50,94,61,85,94,51,94,50,89,94
	db 45,222,42,127
DD_MUS_SUBSONG5_NOTEINDEXES
	db 38,36,65,33,40,60,26,62,39,48
DD_MUS_SUBSONG6
	dw DD_MUS_SUBSONG6_NOTEINDEXES
  	dw DD_MUS_SUBSONG6_TRACKINDEXES
	db 12,6,1,0,1,73,9,0,12,170,8,131,129,133,20,3,254,20,5,253,20,4,255
DD_MUS_SUBSONG6_LOOP
	db 252,0,128,0,131,0,129,84,254,3,254,84,253,5,253,84,255,4,255,116,0
	db 0,130,0,100,254,136,254,100,253,140,253,100,255,141,255,100,0,130,0,100
	db 254,136,254,100,253,140,253,228,255,141,0,0,227,164,0,130,134,164,254,136
	db 132,164,253,140,0,243,228,255,141,4,132,244,6,6,130,0,135,84,4,4,254,84,2
	db 2,252,188,0,137,249,138,132,252,249,128,0,139,249,134,164,252,138,132,244
	db 245,252,139,245,134,164,248,138,132,244,2,2,130,240,135,212,0,0,239,134
	db 212,2,2,240,135,188,0,137,255,136,132,252,5,128,253,138,0,0,255,240,0,139
	db 237,134,236,3,137,0,248,2,0,242,240,2,139,237,133,1,0
  	dw DD_MUS_SUBSONG6_LOOP
DD_MUS_SUBSONG6_TRACKINDEXES
	dw DD_MUS_SUBSONG6_TRACK4
  	dw DD_MUS_SUBSONG6_TRACK6
  	dw DD_MUS_SUBSONG6_TRACK1
  	dw DD_MUS_SUBSONG6_TRACK7
  	dw DD_MUS_SUBSONG6_TRACK10
  	dw DD_MUS_SUBSONG6_TRACK0
  	dw DD_MUS_SUBSONG6_TRACK9
  	dw DD_MUS_SUBSONG6_TRACK12
  	dw DD_MUS_SUBSONG6_TRACK2
  	dw DD_MUS_SUBSONG6_TRACK15
  	dw DD_MUS_SUBSONG6_TRACK14
  	dw DD_MUS_SUBSONG6_TRACK13
  	dw DD_MUS_SUBSONG6_TRACK3
  	dw DD_MUS_SUBSONG6_TRACK5
DD_MUS_SUBSONG6_TRACK0
	db 157,66,157,82,157,98,157,162,221,127,242
DD_MUS_SUBSONG6_TRACK1
	db 254,25,14,2,12,46,73,18,238,64,127
DD_MUS_SUBSONG6_TRACK2
	db 238,66,2,238,74,127
DD_MUS_SUBSONG6_TRACK3
	db 239,5,226,127
DD_MUS_SUBSONG6_TRACK4
	db 12,126,37,5,34,68,12,78,44,50,126,49,25,157,66,93,82,93,98,221,127,114
DD_MUS_SUBSONG6_TRACK5
	db 238,63,2,238,72,127
DD_MUS_SUBSONG6_TRACK6
	db 12,254,25,30,6,66,93,82,221,127,98
DD_MUS_SUBSONG6_TRACK7
	db 12,78,80,130,93,114,157,98,93,82,157,98,93,114,221,127,130
DD_MUS_SUBSONG6_TRACK8
	db 12,254,24,30,2,66,12,62,68,2,50,254,71,9,127
DD_MUS_SUBSONG6_TRACK9
	db 207,4,78,71,142,73,206,76,127
DD_MUS_SUBSONG6_TRACK10
	db 207,5,206,71,127
DD_MUS_SUBSONG6_TRACK11
	db 206,70,2,206,73,4,206,75,127
DD_MUS_SUBSONG6_TRACK12
	db 206,74,2,206,79,4,206,74,127
DD_MUS_SUBSONG6_TRACK13
	db 12,254,30,14,3,18,12,126,61,5,50,78,66,78,69,12,78,73,34,206,78,127
DD_MUS_SUBSONG6_TRACK14
	db 12,126,76,5,18,78,72,12,78,69,34,78,64,12,69,50,78,57,78,52,73,206,45,127
DD_MUS_SUBSONG6_TRACK15
	db 12,126,41,5,18,12,78,45,34,12,73,50,126,53,24,157,66,93,82,93,98,221,127
	db 114
DD_MUS_SUBSONG6_TRACK16
	db 206,54,127
DD_MUS_SUBSONG6_TRACK17
	db 12,126,75,5,18,78,72,12,78,68,34,78,63,12,69,50,78,56,78,51,73,206,44,127
DD_MUS_SUBSONG6_NOTEINDEXES
	db 38,36,65,33,40,60,26,62,39,48
DD_MUS_SUBSONG7
	dw DD_MUS_SUBSONG7_NOTEINDEXES
  	dw DD_MUS_SUBSONG7_TRACKINDEXES
	db 6,6,1,0,1,57,4,3,12,170,23,128,128,128,170,95,0,172,0,176,0,154,170,13
	db 128,0,96,128,32,131,32,129,34,15,130,34,27,0,144,34,13,0,80,32,131,48,5
	db 129,34,15,130,34,31,0,128,170,38,0,141,0,218,0,249,186,15,0,123,0,128,0
	db 105,170,13,128,131,128,34,11,0,66,32,128,50,12,7,129,16,2,50,27,12,130,50
	db 7,3,132,18,27,0,50,25,7,130
DD_MUS_SUBSONG7_LOOP
	db 50,79,252,132,1,0
  	dw DD_MUS_SUBSONG7_LOOP
DD_MUS_SUBSONG7_TRACKINDEXES
	dw DD_MUS_SUBSONG7_TRACK0
  	dw DD_MUS_SUBSONG7_TRACK2
  	dw DD_MUS_SUBSONG7_TRACK5
  	dw DD_MUS_SUBSONG7_TRACK3
  	dw DD_MUS_SUBSONG7_TRACK13
DD_MUS_SUBSONG7_TRACK0
	db 205,127
DD_MUS_SUBSONG7_TRACK1
	db 205,2,12,207,5,66,245,19,127
DD_MUS_SUBSONG7_TRACK2
	db 247,19,5,197,127
DD_MUS_SUBSONG7_TRACK3
	db 12,199,7,50,181,19,135,194,127
DD_MUS_SUBSONG7_TRACK4
	db 254,67,19,4,206,69,5,254,71,4,127
DD_MUS_SUBSONG7_TRACK5
	db 221,2,66,157,82,157,98,157,114,157,130,221,3,146,12,255,28,127,82
DD_MUS_SUBSONG7_TRACK6
	db 205,6,12,246,31,127,2
DD_MUS_SUBSONG7_TRACK7
	db 205,9,12,255,28,127,82
DD_MUS_SUBSONG7_TRACK8
	db 141,12,246,31,127,2
DD_MUS_SUBSONG7_TRACK9
	db 77,240,11,127
DD_MUS_SUBSONG7_TRACK10
	db 12,94,83,82,158,81,12,158,74,66,12,94,73,50,12,94,82,34,12,158,81,18,94
	db 72,12,94,71,2,94,80,94,81,158,72,94,73,94,76,158,80,94,75,94,78,94,82,158
	db 77,94,81,158,84,94,73,94,74,158,83,94,84,94,75,94,76,158,85,12,94,86,34
	db 12,94,89,66,12,222,93,127,114
DD_MUS_SUBSONG7_TRACK11
	db 12,126,47,27,242,93,210,93,178,93,146,93,114,93,82,93,66,93,50,221,24,34
	db 93,50,93,66,93,82,93,114,221,127,194
DD_MUS_SUBSONG7_TRACK12
	db 185,0,12,94,71,82,158,69,12,151,66,12,94,61,50,12,94,70,34,12,158,69,18
	db 85,12,94,59,2,94,68,94,69,149,94,61,94,64,158,68,94,63,94,66,94,70,146,94
	db 69,158,72,94,61,87,158,71,94,72,94,63,12,94,64,34,12,158,73,66,222,74,127
DD_MUS_SUBSONG7_TRACK13
	db 110,83,110,74,110,75,110,84,110,83,110,74,110,73,110,82,249,0,127
DD_MUS_SUBSONG7_NOTEINDEXES
	db 38,36,65,33,40,60,26,62,39,48
DD_MUS_SUBSONG8
	dw DD_MUS_SUBSONG8_NOTEINDEXES
  	dw DD_MUS_SUBSONG8_TRACKINDEXES
	db 6,6,1,0,1,83,0,0,12,254,38,4,0,15,4,0,159,4,128
DD_MUS_SUBSONG8_LOOP
	db 42,0,128,128,1,0
  	dw DD_MUS_SUBSONG8_LOOP
DD_MUS_SUBSONG8_TRACKINDEXES
	dw DD_MUS_SUBSONG8_TRACK1
DD_MUS_SUBSONG8_TRACK0
	db 12,95,82,158,81,12,158,74,66,12,94,73,50,12,94,82,34,12,158,81,18,94,72
	db 12,94,71,2,94,80,94,81,158,72,94,73,94,76,158,80,94,75,94,78,94,82,158,77
	db 94,81,158,84,94,73,94,74,158,83,94,84,94,75,94,76,158,85,12,94,86,34,12
	db 94,89,66,12,222,93,127,114
DD_MUS_SUBSONG8_TRACK1
	db 137,12,94,71,82,158,69,12,151,66,12,94,61,50,12,94,70,34,12,158,69,18,85
	db 12,94,59,2,94,68,94,69,149,94,61,94,64,158,68,94,63,94,66,94,70,146,94,69
	db 158,72,94,61,87,158,71,94,72,94,63,12,94,64,34,12,158,73,66,222,74,127
DD_MUS_SUBSONG8_TRACK2
	db 12,126,47,27,242,93,210,93,178,93,146,93,114,93,82,93,66,93,50,221,24,34
	db 93,50,93,66,93,82,93,114,221,127,194
DD_MUS_SUBSONG8_NOTEINDEXES
	db 38,36,65,33,40,60,26,62,39,48
DD_MUS_SUBSONG9
	dw DD_MUS_SUBSONG9_NOTEINDEXES
  	dw DD_MUS_SUBSONG9_TRACKINDEXES
	db 6,6,1,0,1,0,0,0,12
DD_MUS_SUBSONG9_LOOP
	db 170,63,128,128,128,1,0
  	dw DD_MUS_SUBSONG9_LOOP
DD_MUS_SUBSONG9_TRACKINDEXES
	dw DD_MUS_SUBSONG9_TRACK0
DD_MUS_SUBSONG9_TRACK0
	db 205,127
DD_MUS_SUBSONG9_NOTEINDEXES
	db 38,36,65,33,40,60,26,62,39,48
DD_MUS_SUBSONG10
	dw DD_MUS_SUBSONG10_NOTEINDEXES
  	dw DD_MUS_SUBSONG10_TRACKINDEXES
	db 6,6,1,0,1,71,9,14,12
DD_MUS_SUBSONG10_LOOP
	db 250,15,1,103,8,132,0,1,138,148,12,0,1,136,172,0,128,1,38,129,32,0,147,32
	db 0,154,32,0,175,36,5,133,228,0,0,212,12,132,224,0,139,0,129,32,0,158,100,2
	db 133,253,236,0,130,0,216,6,132,232,131,0,233,0,134,32,3,2,32,1,137,32,1
	db 161,176,244,0,218,139,32,2,244,32,1,123,250,31,130,0,1,167,255,1,207,234
	db 15,135,2,76,253,130,232,136,137,0,138,0,254,7,254,135,253,133,251,130,116
	db 7,0,132,248,102,15,0,2,50,253,232,136,137,0,138,84,2,2,2,254,31,0,1,161,6
	db 133,1,130,1,0
  	dw DD_MUS_SUBSONG10_LOOP
DD_MUS_SUBSONG10_TRACKINDEXES
	dw DD_MUS_SUBSONG10_TRACK8
  	dw DD_MUS_SUBSONG10_TRACK9
  	dw DD_MUS_SUBSONG10_TRACK20
  	dw DD_MUS_SUBSONG10_TRACK14
  	dw DD_MUS_SUBSONG10_TRACK11
  	dw DD_MUS_SUBSONG10_TRACK3
  	dw DD_MUS_SUBSONG10_TRACK15
  	dw DD_MUS_SUBSONG10_TRACK22
  	dw DD_MUS_SUBSONG10_TRACK24
  	dw DD_MUS_SUBSONG10_TRACK23
  	dw DD_MUS_SUBSONG10_TRACK25
  	dw DD_MUS_SUBSONG10_TRACK27
DD_MUS_SUBSONG10_TRACK0
	db 205,13,12,126,57,2,18,245,9,127
DD_MUS_SUBSONG10_TRACK1
	db 199,4,93,66,12,126,57,2,18,117,9,71,69,199,2,93,50,12,127,2,18,245,9,127
DD_MUS_SUBSONG10_TRACK2
	db 71,69,71,66,71,93,50,12,126,57,2,18,117,9,71,69,71,66,78,67,66,79,206,69
	db 127
DD_MUS_SUBSONG10_TRACK3
	db 12,191,2,2,255,9,13,221,2,18,29,34,29,50,29,82,221,127,130
DD_MUS_SUBSONG10_TRACK4
	db 78,69,12,247,13,2,66,29,50,29,34,29,50,93,66,12,126,57,2,2,245,9,127
DD_MUS_SUBSONG10_TRACK5
	db 78,69,12,254,61,13,2,66,29,50,29,34,29,50,93,66,12,126,57,27,34,197,127
DD_MUS_SUBSONG10_TRACK6
	db 12,119,27,18,69,71,66,135,133,206,57,4,93,50,12,79,18,197,127
DD_MUS_SUBSONG10_TRACK7
	db 238,86,3,249,0,127
DD_MUS_SUBSONG10_TRACK8
	db 12,246,12,3,2,12,245,16,2,18,182,12,117,16,112,8,121,0,115,8,121,0,12,126
	db 24,12,50,249,0,127
DD_MUS_SUBSONG10_TRACK9
	db 12,247,13,4,66,221,3,50,221,2,66,221,127,82
DD_MUS_SUBSONG10_TRACK10
	db 205,7,243,8,127
DD_MUS_SUBSONG10_TRACK11
	db 12,110,82,18,110,73,110,72,110,81,110,80,110,71,110,70,110,79,110,78,110
	db 69,110,68,110,77,110,76,110,67,110,66,238,75,127
DD_MUS_SUBSONG10_TRACK12
	db 243,29,127
DD_MUS_SUBSONG10_TRACK13
	db 12,254,72,26,3,18,157,34,29,50,12,117,15,2,133,117,16,197,127
DD_MUS_SUBSONG10_TRACK14
	db 12,174,31,2,190,43,8,245,16,2,182,12,117,16,112,8,121,0,126,45,8,121,0
	db 126,44,8,249,0,127
DD_MUS_SUBSONG10_TRACK15
	db 12,254,67,13,7,34,199,127
DD_MUS_SUBSONG10_TRACK16
	db 119,27,69,71,66,71,69,78,57,78,55,78,57,78,55,78,53,73,142,50,12,78,55,18
	db 206,56,127
DD_MUS_SUBSONG10_TRACK17
	db 12,254,55,27,2,18,78,53,142,55,142,57,206,53,4,93,50,12,78,45,18,201,127
DD_MUS_SUBSONG10_TRACK18
	db 190,45,27,157,34,157,66,254,61,13,3,69,221,2,34,142,59,157,18,14,58,14,57
	db 12,126,61,24,2,117,15,127,24,114,25,117,16,114,25,78,68,249,0,127
DD_MUS_SUBSONG10_TRACK19
	db 12,190,50,13,2,110,69,110,73,110,76,110,71,110,74,110,78,110,73,110,76
	db 110,80,110,74,110,78,110,81,110,76,110,80,110,83,110,78,110,82,12,110,85
	db 18,110,80,110,83,110,87,110,82,12,110,85,34,110,89,110,83,110,87,110,90
	db 110,85,110,89,238,92,127
DD_MUS_SUBSONG10_TRACK20
	db 12,115,12,2,254,45,8,2,12,62,55,16,18,179,12,117,16,126,50,8,121,0,126,52
	db 8,121,0,116,8,121,0,190,45,8,12,78,44,2,78,43,78,42,78,41,68,72,64,78,37
	db 65,78,35,78,34,67,78,32,206,31,127
DD_MUS_SUBSONG10_TRACK21
	db 126,70,2,126,68,9,78,70,78,73,142,70,93,34,93,66,12,126,58,19,18,78,56,78
	db 58,78,61,142,58,12,126,68,2,2,254,70,9,127
DD_MUS_SUBSONG10_TRACK22
	db 12,190,30,18,2,254,66,23,2,79,126,42,18,126,66,23,143,190,42,18,126,66,23
	db 79,79,254,30,18,127
DD_MUS_SUBSONG10_TRACK23
	db 207,2,126,61,19,190,73,9,126,58,19,254,70,9,5,126,49,19,254,61,2,127
DD_MUS_SUBSONG10_TRACK24
	db 12,190,28,18,2,254,67,23,2,79,116,18,126,66,23,143,190,42,18,126,66,23,79
	db 79,254,30,18,127
DD_MUS_SUBSONG10_TRACK25
	db 12,126,28,12,2,244,8,2,12,62,55,16,18,190,30,12,117,16,126,42,8,121,0,126
	db 49,8,121,0,126,46,8,249,0,127
DD_MUS_SUBSONG10_TRACK26
	db 12,119,27,18,69,71,66,71,69,78,57,78,55,206,57,4,93,50,12,79,18,197,127
DD_MUS_SUBSONG10_TRACK27
	db 12,254,67,13,4,34,12,110,74,2,110,79,110,82,110,81,110,77,110,74,110,69
	db 12,199,127,34
DD_MUS_SUBSONG10_NOTEINDEXES
	db 38,36,65,33,40,60,26,62,39,48
DD_SFX_SOUNDEFFECTS
	dw DD_SFX_SOUNDEFFECTS_SOUND1
  	dw DD_SFX_SOUNDEFFECTS_SOUND2
  	dw DD_SFX_SOUNDEFFECTS_SOUND3
  	dw DD_SFX_SOUNDEFFECTS_SOUND4
  	dw DD_SFX_SOUNDEFFECTS_SOUND5
  	dw DD_SFX_SOUNDEFFECTS_SOUND6
  	dw DD_SFX_SOUNDEFFECTS_SOUND7
  	dw DD_SFX_SOUNDEFFECTS_SOUND8
DD_SFX_SOUNDEFFECTS_SOUND1
	db 1
DD_SFX_SOUNDEFFECTS_SOUND1_LOOP
	db 61,96,0,61,75,0,53,95,0,41,97,0,4
DD_SFX_SOUNDEFFECTS_SOUND2
	db 0
DD_SFX_SOUNDEFFECTS_SOUND2_LOOP
	db 61,119,0,49,119,0,37,119,0,53,95,0,33,95,0,53,80,0,41,80,0,25,80,0,4
DD_SFX_SOUNDEFFECTS_SOUND3
	db 2
DD_SFX_SOUNDEFFECTS_SOUND3_LOOP
	db 184,29,224,16,3,2,0,67,0,3,2,0,66,0,3,2,0,65,0,3,2,0,64,0,3,2,0,66,0,3,2
	db 0,65,0,208,8,4
DD_SFX_SOUNDEFFECTS_SOUND4
	db 4
DD_SFX_SOUNDEFFECTS_SOUND4_LOOP
	db 3,113,0,195,1,216,29,248,31,216,30,232,27,216,24,200,22,184,20,168,16,160
	db 4,4
DD_SFX_SOUNDEFFECTS_SOUND5
	db 2
DD_SFX_SOUNDEFFECTS_SOUND5_LOOP
	db 61,12,1,41,12,1,61,225,0,41,225,0,57,179,0,41,179,0,57,159,0,41,159,0,57
	db 134,0,41,134,0,57,113,0,41,113,0,53,89,0,41,89,0,53,80,0,41,80,0,61,239,0
	db 41,239,0,61,201,0,41,201,0,57,159,0,41,159,0,57,142,0,41,142,0,57,119,0
	db 41,119,0,57,95,0,41,95,0,53,80,0,41,80,0,53,71,0,41,71,0,4
DD_SFX_SOUNDEFFECTS_SOUND6
	db 3,61,113,0,61,114,0,61,115,0,61,119,0,57,127,0,57,134,0,57,179,0,53,239,0
	db 53,253,0
DD_SFX_SOUNDEFFECTS_SOUND6_LOOP
	db 49,28,1,45,123,1,41,222,1,165,1,164,2,161,16,83,3,189,31,244,3,181,24,244
	db 3,173,16,244,3,165,8,244,3,157,1,244,3,4
DD_SFX_SOUNDEFFECTS_SOUND7
	db 1,53,95,0,61,95,0,57,95,0,53,95,0,49,95,0,45,95,0,41,95,0,37,95,0,33,95,0
	db 29,95,0,25,95,0,21,95,0,17,95,0,13,95,0
DD_SFX_SOUNDEFFECTS_SOUND7_LOOP
	db 9,95,0,4
DD_SFX_SOUNDEFFECTS_SOUND8
	db 0
DD_SFX_SOUNDEFFECTS_SOUND8_LOOP
	db 61,67,0,45,66,0,29,68,0,13,67,0,4



PLY_AKM_START
	jp PLY_AKM_INIT
    jp PLY_AKM_PLAY
    jp PLY_AKM_INITVARS_END
PLY_AKM_INITSOUNDEFFECTS
	ld (PLY_AKM_PTSOUNDEFFECTTABLE+1),hl
    ret
PLY_AKM_PLAYSOUNDEFFECT
	dec a
PLY_AKM_PTSOUNDEFFECTTABLE
	ld hl,0
    ld e,a
    ld d,0
    add hl,de
    add hl,de
    ld e,(hl)
    inc hl
    ld d,(hl)
    ld a,(de)
    inc de
    ex af,af'
    ld a,b
    ld hl,PLY_AKM_CHANNEL1_SOUNDEFFECTDATA
    ld b,0
    sla c
    sla c
    sla c
    add hl,bc
    ld (hl),e
    inc hl
    ld (hl),d
    inc hl
    ld (hl),a
    inc hl
    ld (hl),0
    inc hl
    ex af,af'
    ld (hl),a
    ret
PLY_AKM_STOPSOUNDEFFECTFROMCHANNEL
	add a,a
    add a,a
    add a,a
    ld e,a
    ld d,0
    ld hl,PLY_AKM_CHANNEL1_SOUNDEFFECTDATA
    add hl,de
    ld (hl),d
    inc hl
    ld (hl),d
    ret
PLY_AKM_PLAYSOUNDEFFECTSSTREAM
	rla
    rla
    ld ix,PLY_AKM_CHANNEL1_SOUNDEFFECTDATA
    ld iy,PLY_AKM_TRACK3_DATA_END
    ld c,a
    call PLY_AKM_PSES_PLAY
    ld ix,PLY_AKM_CHANNEL2_SOUNDEFFECTDATA
    ld iy,PLY_AKM_TRACK2_REGISTERS
    srl c
    call PLY_AKM_PSES_PLAY
    ld ix,PLY_AKM_CHANNEL3_SOUNDEFFECTDATA
    ld iy,PLY_AKM_TRACK3_REGISTERS
    rr c
    call PLY_AKM_PSES_PLAY
    ld a,c
    ld (PLY_AKM_MIXERREGISTER),a
    ret
PLY_AKM_PSES_PLAY
	ld l,(ix+0)
    ld h,(ix+1)
    ld a,l
    or h
    ret z
PLY_AKM_PSES_READFIRSTBYTE
	ld a,(hl)
    inc hl
    ld b,a
    rra
    jr c,PLY_AKM_PSES_SOFTWAREORSOFTWAREANDHARDWARE
    rra
    rra
    jr c,PLY_AKM_PSES_S_ENDORLOOP
    call PLY_AKM_PSES_MANAGEVOLUMEFROMA_FILTER4BITS
    rl b
    call PLY_AKM_PSES_READNOISEIFNEEDEDANDOPENORCLOSENOISECHANNEL
    set 2,c
    jr PLY_AKM_PSES_SAVEPOINTERANDEXIT
PLY_AKM_PSES_S_ENDORLOOP
	xor a
    ld (ix+0),a
    ld (ix+1),a
    ret
PLY_AKM_PSES_SAVEPOINTERANDEXIT
	ld a,(ix+3)
    cp (ix+4)
    jr c,PLY_AKM_PSES_NOTREACHED
    ld (ix+3),0
  	db 221,117,0
  	db 221,116,1
    ret
PLY_AKM_PSES_NOTREACHED inc (ix+3)
    ret
PLY_AKM_PSES_SOFTWAREORSOFTWAREANDHARDWARE
	rra
    jr c,PLY_AKM_PSES_SOFTWAREANDHARDWARE
    call PLY_AKM_PSES_MANAGEVOLUMEFROMA_FILTER4BITS
    rl b
    call PLY_AKM_PSES_READNOISEIFNEEDEDANDOPENORCLOSENOISECHANNEL
    res 2,c
    call PLY_AKM_PSES_READSOFTWAREPERIOD
    jr PLY_AKM_PSES_SAVEPOINTERANDEXIT
PLY_AKM_PSES_SOFTWAREANDHARDWARE
	call PLY_AKM_PSES_SHARED_READRETRIGHARDWAREENVPERIODNOISE
    call PLY_AKM_PSES_READSOFTWAREPERIOD
    res 2,c
    jr PLY_AKM_PSES_SAVEPOINTERANDEXIT
PLY_AKM_PSES_SHARED_READRETRIGHARDWAREENVPERIODNOISE
	rra
    and 7
    add a,8
    ld (PLY_AKM_SENDPSGREGISTERR13+1),a
    set 5,c
    call PLY_AKM_PSES_READHARDWAREPERIOD
    ld a,16
    jp PLY_AKM_PSES_MANAGEVOLUMEFROMA_HARD
PLY_AKM_PSES_READNOISEIFNEEDEDANDOPENORCLOSENOISECHANNEL
	jr c,PLY_AKM_PSES_READNOISEANDOPENNOISECHANNEL_OPENNOISE
    set 5,c
    ret
PLY_AKM_PSES_READNOISEANDOPENNOISECHANNEL_OPENNOISE
	ld a,(hl)
    ld (PLY_AKM_NOISEREGISTER),a
    inc hl
    res 5,c
    ret
PLY_AKM_PSES_READHARDWAREPERIOD
	ld a,(hl)
    ld (PLY_AKM_REG11),a
    inc hl
    ld a,(hl)
    ld (PLY_AKM_REG12),a
    inc hl
    ret
PLY_AKM_PSES_READSOFTWAREPERIOD
	ld a,(hl)
    ld (iy+5),a
    inc hl
    ld a,(hl)
    ld (iy+9),a
    inc hl
    ret
PLY_AKM_PSES_MANAGEVOLUMEFROMA_FILTER4BITS
	and 15
PLY_AKM_PSES_MANAGEVOLUMEFROMA_HARD
	sub (ix+2)
    jr nc,PLY_AKM_PSES_MVFA_NOOVERFLOW
    xor a
PLY_AKM_PSES_MVFA_NOOVERFLOW
	ld (iy+1),a
    ret
PLY_AKM_CHANNEL1_SOUNDEFFECTDATA
	dw 0
PLY_AKM_CHANNEL1_SOUNDEFFECTINVERTEDVOLUME
	db 0
PLY_AKM_CHANNEL1_SOUNDEFFECTCURRENTSTEP
	db 0
PLY_AKM_CHANNEL1_SOUNDEFFECTSPEED
	db 0,0,0,0
PLY_AKM_CHANNEL2_SOUNDEFFECTDATA
	db 0,0,0,0,0,0,0,0
PLY_AKM_CHANNEL3_SOUNDEFFECTDATA
	db 0,0,0,0,0,0,0,0
PLY_AKM_INIT
	ld de,PLY_AKM_READLINE+1
    ldi
    ldi
    inc hl
    inc hl
    inc hl
    inc hl
    add a,a
    ld e,a
    ld d,0
    add hl,de
    ld a,(hl)
    inc hl
    ld h,(hl)
    ld l,a
    ld ix,PLY_AKM_INITVARS_START
    ld a,13
PLY_AKM_INITVARS_LOOP
	ld e,(ix+0)
    ld d,(ix+1)
    inc ix
    inc ix
    ldi
    dec a
    jr nz,PLY_AKM_INITVARS_LOOP
    ld (PLY_AKM_PATTERNREMAININGHEIGHT+1),a
    ex de,hl
    ld hl,PLY_AKM_PTLINKER+1
    ld (hl),e
    inc hl
    ld (hl),d
    ld hl,PLY_AKM_TRACK1_DATA
    ld de,PLY_AKM_TRACK1_TRANSPOSITION
    ld bc,44
    ld (hl),a
    ldir
    ld (PLY_AKM_RT_READEFFECTSFLAG+1),a
    ld a,(PLY_AKM_SPEED+1)
    dec a
    ld (PLY_AKM_TICKCOUNTER+1),a
    ld hl,(PLY_AKM_READLINE+1)
    ld e,(hl)
    inc hl
    ld d,(hl)
    inc de
    ld (PLY_AKM_TRACK1_PTINSTRUMENT),de
    ld (PLY_AKM_TRACK2_PTINSTRUMENT),de
    ld (PLY_AKM_TRACK3_PTINSTRUMENT),de
    ld hl,0
    ld (PLY_AKM_CHANNEL1_SOUNDEFFECTDATA),hl
    ld (PLY_AKM_CHANNEL2_SOUNDEFFECTDATA),hl
    ld (PLY_AKM_CHANNEL3_SOUNDEFFECTDATA),hl
    ret
PLY_AKM_INITVARS_START
	dw PLY_AKM_NOTEINDEXTABLE+1
    dw PLY_AKM_NOTEINDEXTABLE+2
    dw PLY_AKM_LINKER+1
    dw PLY_AKM_LINKER+2
    dw PLY_AKM_SPEED+1
    dw PLY_AKM_RT_PRIMARYINSTRUMENT+1
    dw PLY_AKM_RT_SECONDARYINSTRUMENT+1
    dw PLY_AKM_RT_PRIMARYWAIT+1
    dw PLY_AKM_RT_SECONDARYWAIT+1
    dw PLY_AKM_DEFAULTSTARTNOTEINTRACKS+1
    dw PLY_AKM_DEFAULTSTARTINSTRUMENTINTRACKS+1
    dw PLY_AKM_DEFAULTSTARTWAITINTRACKS+1
    dw PLY_AKM_FLAGNOTEANDEFFECTINCELL+1
PLY_AKM_INITVARS_END
PLY_AKM_STOP
	ld (PLY_AKM_SENDPSGREGISTEREND+1),sp
    xor a
    ld (PLY_AKM_TRACK1_VOLUME),a
    ld (PLY_AKM_TRACK2_VOLUME),a
    ld (PLY_AKM_TRACK3_VOLUME),a
    ld a,63
    ld (PLY_AKM_MIXERREGISTER),a
    jp PLY_AKM_SENDPSG
PLY_AKM_PLAY
	ld (PLY_AKM_SENDPSGREGISTEREND+1),sp
PLY_AKM_TICKCOUNTER
	ld a,0
    inc a
PLY_AKM_SPEED
	cp 1
    jp nz,PLY_AKM_TICKCOUNTERMANAGED
PLY_AKM_PATTERNREMAININGHEIGHT
	ld a,0
    sub 1
    jr c,PLY_AKM_LINKER
    ld (PLY_AKM_PATTERNREMAININGHEIGHT+1),a
    jr PLY_AKM_READLINE
PLY_AKM_LINKER
PLY_AKM_TRACKINDEX
	ld de,0
    exx
PLY_AKM_PTLINKER
	ld hl,0
PLY_AKM_LINKERPOSTPT
	xor a
    ld (PLY_AKM_TRACK1_DATA),a
    ld (PLY_AKM_TRACK1_DATA_END),a
    ld (PLY_AKM_TRACK2_DATA_END),a
PLY_AKM_DEFAULTSTARTNOTEINTRACKS
	ld a,0
    ld (PLY_AKM_TRACK1_ESCAPENOTE),a
    ld (PLY_AKM_TRACK2_ESCAPENOTE),a
    ld (PLY_AKM_TRACK3_ESCAPENOTE),a
PLY_AKM_DEFAULTSTARTINSTRUMENTINTRACKS
	ld a,0
    ld (PLY_AKM_TRACK1_ESCAPEINSTRUMENT),a
    ld (PLY_AKM_TRACK2_ESCAPEINSTRUMENT),a
    ld (PLY_AKM_TRACK3_ESCAPEINSTRUMENT),a
PLY_AKM_DEFAULTSTARTWAITINTRACKS
	ld a,0
    ld (PLY_AKM_TRACK1_ESCAPEWAIT),a
    ld (PLY_AKM_TRACK2_ESCAPEWAIT),a
    ld (PLY_AKM_TRACK3_ESCAPEWAIT),a
    ld b,(hl)
    inc hl
    rr b
    jr nc,PLY_AKM_LINKERAFTERSPEEDCHANGE
    ld a,(hl)
    inc hl
    ld a,(hl)
    inc hl
    ld h,(hl)
    ld l,a
    jr PLY_AKM_LINKERPOSTPT
PLY_AKM_LINKERAFTERSPEEDCHANGE
	rr b
    jr nc,PLY_AKM_LINKERUSEPREVIOUSHEIGHT
    ld a,(hl)
    inc hl
    ld (PLY_AKM_LINKERUSEPREVIOUSHEIGHT+1),a
    jr PLY_AKM_LINKERSETREMAININGHEIGHT
PLY_AKM_LINKERUSEPREVIOUSHEIGHT
PLY_AKM_LINKERPREVIOUSREMAININGHEIGHT
	ld a,0
PLY_AKM_LINKERSETREMAININGHEIGHT
	ld (PLY_AKM_PATTERNREMAININGHEIGHT+1),a
    ld ix,PLY_AKM_TRACK1_DATA
    call PLY_AKM_CHECKTRANSPOSITIONANDTRACK
    ld ix,PLY_AKM_TRACK1_DATA_END
    call PLY_AKM_CHECKTRANSPOSITIONANDTRACK
    ld ix,PLY_AKM_TRACK2_DATA_END
    call PLY_AKM_CHECKTRANSPOSITIONANDTRACK
    ld (PLY_AKM_PTLINKER+1),hl
PLY_AKM_READLINE
PLY_AKM_PTINSTRUMENTS
	ld de,0
PLY_AKM_NOTEINDEXTABLE
	ld bc,0
    exx
    ld ix,PLY_AKM_TRACK1_DATA
    call PLY_AKM_READTRACK
    ld ix,PLY_AKM_TRACK1_DATA_END
    call PLY_AKM_READTRACK
    ld ix,PLY_AKM_TRACK2_DATA_END
    call PLY_AKM_READTRACK
    xor a
PLY_AKM_TICKCOUNTERMANAGED
	ld (PLY_AKM_TICKCOUNTER+1),a
    ld de,PLY_AKM_PERIODTABLE
    exx
    ld c,224
    ld ix,PLY_AKM_TRACK1_DATA
    call PLY_AKM_MANAGEEFFECTS
    ld iy,PLY_AKM_TRACK3_DATA_END
    call PLY_AKM_PLAYSOUNDSTREAM
    srl c
    ld ix,PLY_AKM_TRACK1_DATA_END
    call PLY_AKM_MANAGEEFFECTS
    ld iy,PLY_AKM_TRACK2_REGISTERS
    call PLY_AKM_PLAYSOUNDSTREAM
    rr c
    ld ix,PLY_AKM_TRACK2_DATA_END
    call PLY_AKM_MANAGEEFFECTS
    ld iy,PLY_AKM_TRACK3_REGISTERS
    call PLY_AKM_PLAYSOUNDSTREAM
    ld a,c
    call PLY_AKM_PLAYSOUNDEFFECTSSTREAM
PLY_AKM_SENDPSG
	ld sp,PLY_AKM_TRACK3_DATA_END
    ld bc,63104
    ld a,192
    ld de,62710
    out (c),a
PLY_AKM_SENDPSGREGISTER
	pop hl
PLY_AKM_SENDPSGREGISTERAFTERPOP
	ld b,d
    out (c),l
    ld b,e
  	db 237
  	db 113
    ld b,d
    out (c),h
    ld b,e
    out (c),c
    out (c),a
    ret
PLY_AKM_SENDPSGREGISTERR13
PLY_AKM_SETREG13
	ld a,0
PLY_AKM_SETREG13OLD
	cp 0
    jr z,PLY_AKM_SENDPSGREGISTEREND
    ld (PLY_AKM_SETREG13OLD+1),a
    ld h,a
    ld l,13
    ld a,192
    ret
PLY_AKM_SENDPSGREGISTEREND
PLY_AKM_SAVESP
	ld sp,0
    ret
PLY_AKM_CHECKTRANSPOSITIONANDTRACK
	rr b
    jr nc,PLY_AKM_CHECKTRANSPOSITIONANDTRACK_AFTERTRANSPOSITION
    ld a,(hl)
    ld (ix+1),a
    inc hl
PLY_AKM_CHECKTRANSPOSITIONANDTRACK_AFTERTRANSPOSITION
	rr b
    jr nc,PLY_AKM_CHECKTRANSPOSITIONANDTRACK_NONEWTRACK
    ld a,(hl)
    inc hl
    sla a
    jr nc,PLY_AKM_CHECKTRANSPOSITIONANDTRACK_TRACKOFFSET
    exx
    ld l,a
    ld h,0
    add hl,de
    ld a,(hl)
    ld (ix+2),a
    ld (ix+4),a
    inc hl
    ld a,(hl)
    ld (ix+3),a
    ld (ix+5),a
    exx
    ret
PLY_AKM_CHECKTRANSPOSITIONANDTRACK_TRACKOFFSET
	rra
    ld d,a
    ld e,(hl)
    inc hl
    ld c,l
    ld a,h
    add hl,de
  	db 221,117,2
  	db 221,116,3
  	db 221,117,4
  	db 221,116,5
    ld l,c
    ld h,a
    ret
PLY_AKM_CHECKTRANSPOSITIONANDTRACK_NONEWTRACK
	ld a,(ix+2)
    ld (ix+4),a
    ld a,(ix+3)
    ld (ix+5),a
    ret
PLY_AKM_READTRACK
	ld a,(ix+0)
    sub 1
    jr c,PLY_AKM_RT_NOEMPTYCELL
    ld (ix+0),a
    ret
PLY_AKM_RT_NOEMPTYCELL
	ld l,(ix+4)
    ld h,(ix+5)
PLY_AKM_RT_GETDATABYTE
	ld b,(hl)
    inc hl
    ld a,b
    and 15
PLY_AKM_FLAGNOTEANDEFFECTINCELL
	cp 12
    jr c,PLY_AKM_RT_NOTEREFERENCE
    sub 12
    jr z,PLY_AKM_RT_NOTEANDEFFECTS
    dec a
    jr z,PLY_AKM_RT_NONOTEMAYBEEFFECTS
    dec a
    jr z,PLY_AKM_RT_NEWESCAPENOTE
    ld a,(ix+7)
    jr PLY_AKM_RT_AFTERNOTEREAD
PLY_AKM_RT_NEWESCAPENOTE
	ld a,(hl)
    ld (ix+7),a
    inc hl
    jr PLY_AKM_RT_AFTERNOTEREAD
PLY_AKM_RT_NOTEANDEFFECTS
	dec a
    ld (PLY_AKM_RT_READEFFECTSFLAG+1),a
    jr PLY_AKM_RT_GETDATABYTE
PLY_AKM_RT_NONOTEMAYBEEFFECTS
	bit 4,b
    jr z,PLY_AKM_RT_READWAITFLAGS
    ld a,b
    ld (PLY_AKM_RT_READEFFECTSFLAG+1),a
    jr PLY_AKM_RT_READWAITFLAGS
PLY_AKM_RT_NOTEREFERENCE
	exx
    ld l,a
    ld h,0
    add hl,bc
    ld a,(hl)
    exx
PLY_AKM_RT_AFTERNOTEREAD
	add a,(ix+1)
    ld (ix+6),a
    ld a,b
    and 48
    jr z,PLY_AKM_RT_SAMEESCAPEINSTRUMENT
    cp 16
    jr z,PLY_AKM_RT_PRIMARYINSTRUMENT
    cp 32
    jr z,PLY_AKM_RT_SECONDARYINSTRUMENT
    ld a,(hl)
    inc hl
    ld (ix+8),a
    jr PLY_AKM_RT_STORECURRENTINSTRUMENT
PLY_AKM_RT_SAMEESCAPEINSTRUMENT
	ld a,(ix+8)
    jr PLY_AKM_RT_STORECURRENTINSTRUMENT
PLY_AKM_RT_SECONDARYINSTRUMENT
PLY_AKM_SECONDARYINSTRUMENT
	ld a,0
    jr PLY_AKM_RT_STORECURRENTINSTRUMENT
PLY_AKM_RT_PRIMARYINSTRUMENT
PLY_AKM_PRIMARYINSTRUMENT
	ld a,0
PLY_AKM_RT_STORECURRENTINSTRUMENT
	exx
    add a,a
    ld l,a
    ld h,0
    add hl,de
    ld a,(hl)
    inc hl
    ld h,(hl)
    ld l,a
    ld a,(hl)
    inc hl
    ld (ix+13),a
  	db 221,117,10
	db 221,116,11
    exx
    xor a
    ld (ix+12),a
PLY_AKM_RT_READWAITFLAGS
	ld a,b
    and 192
    jr z,PLY_AKM_RT_SAMEESCAPEWAIT
    cp 64
    jr z,PLY_AKM_RT_PRIMARYWAIT
    cp 128
    jr z,PLY_AKM_RT_SECONDARYWAIT
    ld a,(hl)
    inc hl
    ld (ix+9),a
    jr PLY_AKM_RT_STORECURRENTWAIT
PLY_AKM_RT_SAMEESCAPEWAIT
	ld a,(ix+9)
    jr PLY_AKM_RT_STORECURRENTWAIT
PLY_AKM_RT_PRIMARYWAIT
PLY_AKM_PRIMARYWAIT
	ld a,0
    jr PLY_AKM_RT_STORECURRENTWAIT
PLY_AKM_RT_SECONDARYWAIT
PLY_AKM_SECONDARYWAIT
	ld a,0
PLY_AKM_RT_STORECURRENTWAIT
	ld (ix+0),a
PLY_AKM_RT_READEFFECTSFLAG
	ld a,0
    or a
    jr nz,PLY_AKM_RT_READEFFECTS
PLY_AKM_RT_AFTEREFFECTS
	db 221,117,4
	db 221,116,5
    ret
PLY_AKM_RT_READEFFECTS
	xor a
    ld (PLY_AKM_RT_READEFFECTSFLAG+1),a
PLY_AKM_RT_READEFFECT
	ld iy,PLY_AKM_EFFECTTABLE
    ld b,(hl)
    ld a,b
    inc hl
    and 14
    ld e,a
    ld d,0
    add iy,de
    ld a,b
    rra
    rra
    rra
    rra
    and 15
    jp (iy)
PLY_AKM_RT_READEFFECT_RETURN
	bit 0,b
    jr nz,PLY_AKM_RT_READEFFECT
    jr PLY_AKM_RT_AFTEREFFECTS
PLY_AKM_RT_WAITLONG
	ld a,(hl)
    inc hl
    ld (ix+0),a
    jr PLY_AKM_RT_CELLREAD
PLY_AKM_RT_WAITSHORT
	ld a,b
    rlca
    rlca
    and 3
    ld (ix+0),a
PLY_AKM_RT_CELLREAD
	db 221,117,4
	db 221,116,5
    ret
PLY_AKM_MANAGEEFFECTS
	ret
PLY_AKM_PLAYSOUNDSTREAM
	ld l,(ix+10)
    ld h,(ix+11)
PLY_AKM_PSS_READFIRSTBYTE
	ld a,(hl)
    ld b,a
    inc hl
    rra
    jr c,PLY_AKM_PSS_SOFTORSOFTANDHARD
    rra
    jr c,PLY_AKM_PSS_SOFTWARETOHARDWARE
    rra
    jr nc,PLY_AKM_PSS_NSNH_NOTENDOFSOUND
    ld a,(hl)
    inc hl
    ld h,(hl)
    ld l,a
  	db 221,117,10
	db 221,116,11
    jr PLY_AKM_PSS_READFIRSTBYTE
PLY_AKM_PSS_NSNH_NOTENDOFSOUND
	set 2,c
    call PLY_AKM_PSS_SHARED_ADJUSTVOLUME
    ld (iy+1),a
    rl b
    call c,PLY_AKM_PSS_READNOISE
    jr PLY_AKM_PSS_SHARED_STOREINSTRUMENTPOINTER
PLY_AKM_PSS_SOFTORSOFTANDHARD
	rra
    jr c,PLY_AKM_PSS_SOFTANDHARD
    call PLY_AKM_PSS_SHARED_ADJUSTVOLUME
    ld (iy+1),a
    ld d,0
    rl b
    jr nc,PLY_AKM_PSS_S_AFTERARPANDORNOISE
    ld a,(hl)
    inc hl
    sra a
    ld d,a
    call c,PLY_AKM_PSS_READNOISE
PLY_AKM_PSS_S_AFTERARPANDORNOISE
	ld a,d
    call PLY_AKM_CALCULATEPERIODFORBASENOTE
    rl b
    call c,PLY_AKM_READPITCHANDADDTOPERIOD
    exx
    ld (iy+5),l
    ld (iy+9),h
    exx
PLY_AKM_PSS_SHARED_STOREINSTRUMENTPOINTER
	ld a,(ix+12)
    cp (ix+13)
    jr nc,PLY_AKM_PSS_S_SPEEDREACHED
    inc (ix+12)
    ret
PLY_AKM_PSS_S_SPEEDREACHED
	db 221,117,10
	db 221,116,11
    ld (ix+12),0
    ret
PLY_AKM_PSS_SOFTANDHARD
	call PLY_AKM_PSS_SHARED_READENVBITPITCHARP_SOFTPERIOD_HARDVOL_HARDENV
    ld a,(hl)
    ld (PLY_AKM_REG11),a
    inc hl
    ld a,(hl)
    ld (PLY_AKM_REG12),a
    inc hl
    jr PLY_AKM_PSS_SHARED_STOREINSTRUMENTPOINTER
PLY_AKM_PSS_SOFTWARETOHARDWARE
	call PLY_AKM_PSS_SHARED_READENVBITPITCHARP_SOFTPERIOD_HARDVOL_HARDENV
    ld a,b
    rlca
    rlca
    rlca
    rlca
    and 7
    exx
    jr z,PLY_AKM_PSS_STH_RATIOEND
PLY_AKM_PSS_STH_RATIOLOOP
	srl h
    rr l
    dec a
    jr nz,PLY_AKM_PSS_STH_RATIOLOOP
    jr nc,PLY_AKM_PSS_STH_RATIOEND
    inc hl
PLY_AKM_PSS_STH_RATIOEND
	ld a,l
    ld (PLY_AKM_REG11),a
    ld a,h
    ld (PLY_AKM_REG12),a
    exx
    jr PLY_AKM_PSS_SHARED_STOREINSTRUMENTPOINTER
PLY_AKM_PSS_SHARED_READENVBITPITCHARP_SOFTPERIOD_HARDVOL_HARDENV
	and 2
    add a,8
    ld (PLY_AKM_SENDPSGREGISTERR13+1),a
    ld (iy+1),16
    xor a
    call PLY_AKM_CALCULATEPERIODFORBASENOTE
    exx
    ld (iy+5),l
    ld (iy+9),h
    exx
    ret
PLY_AKM_PSS_SHARED_ADJUSTVOLUME
	and 15
    sub (ix+14)
    ret nc
    xor a
    ret
PLY_AKM_PSS_READNOISE
	ld a,(hl)
    inc hl
    ld (PLY_AKM_NOISEREGISTER),a
    res 5,c
    ret
PLY_AKM_CALCULATEPERIODFORBASENOTE
	exx
    ld h,0
    add a,(ix+6)
    ld bc,65292
PLY_AKM_FINDOCTAVE_LOOP
	inc b
    sub c
    jr nc,PLY_AKM_FINDOCTAVE_LOOP
    add a,c
    add a,a
    ld l,a
    ld h,0
    add hl,de
    ld a,(hl)
    inc hl
    ld h,(hl)
    ld l,a
    ld a,b
    or a
    jr z,PLY_AKM_FINDOCTAVE_OCTAVESHIFTLOOP_FINISHED
PLY_AKM_FINDOCTAVE_OCTAVESHIFTLOOP
	srl h
    rr l
    djnz PLY_AKM_FINDOCTAVE_OCTAVESHIFTLOOP
PLY_AKM_FINDOCTAVE_OCTAVESHIFTLOOP_FINISHED
	jr nc,PLY_AKM_FINDOCTAVE_FINISHED
    inc hl
PLY_AKM_FINDOCTAVE_FINISHED
	exx
    ret
PLY_AKM_READPITCHANDADDTOPERIOD
	ld a,(hl)
    inc hl
    exx
    ld c,a
    exx
    ld a,(hl)
    inc hl
    exx
    ld b,a
    add hl,bc
    exx
    ret
PLY_AKM_EFFECTRESETWITHVOLUME
	ld (ix+14),a
    xor a
    jp PLY_AKM_RT_READEFFECT_RETURN
PLY_AKM_EFFECTVOLUME
	ld (ix+14),a
    jp PLY_AKM_RT_READEFFECT_RETURN
PLY_AKM_EFFECTTABLE
	jr PLY_AKM_EFFECTRESETWITHVOLUME
    jr PLY_AKM_EFFECTVOLUME
    jr PLY_AKM_EFFECTTABLE+4
    jr PLY_AKM_EFFECTTABLE+6
    jr PLY_AKM_EFFECTREADIFESCAPE-6
    jr PLY_AKM_EFFECTREADIFESCAPE-4
    jr PLY_AKM_EFFECTREADIFESCAPE-2
PLY_AKM_EFFECTREADIFESCAPE
	cp 15
    ret c
    ld a,(hl)
    inc hl
    ret
PLY_AKM_TRACK1_DATA
PLY_AKM_TRACK1_WAITEMPTYCELL
	db 0
PLY_AKM_TRACK1_TRANSPOSITION
	db 0
PLY_AKM_TRACK1_PTSTARTTRACK
	dw 0
PLY_AKM_TRACK1_PTTRACK
	dw 0
PLY_AKM_TRACK1_BASENOTE
	db 0
PLY_AKM_TRACK1_ESCAPENOTE
	db 0
PLY_AKM_TRACK1_ESCAPEINSTRUMENT
	db 0
PLY_AKM_TRACK1_ESCAPEWAIT
	db 0
PLY_AKM_TRACK1_PTINSTRUMENT
	dw 0
PLY_AKM_TRACK1_INSTRUMENTCURRENTSTEP
	db 0
PLY_AKM_TRACK1_INSTRUMENTSPEED
	db 0
PLY_AKM_TRACK1_TRACKINVERTEDVOLUME
	db 0
PLY_AKM_TRACK1_DATA_END
PLY_AKM_TRACK2_DATA
PLY_AKM_TRACK2_WAITEMPTYCELL
	db 0,0,0,0
PLY_AKM_TRACK2_PTTRACK
	db 0,0,0
PLY_AKM_TRACK2_ESCAPENOTE
	db 0
PLY_AKM_TRACK2_ESCAPEINSTRUMENT
	db 0
PLY_AKM_TRACK2_ESCAPEWAIT
	db 0
PLY_AKM_TRACK2_PTINSTRUMENT
	db 0,0,0,0,0
PLY_AKM_TRACK2_DATA_END
PLY_AKM_TRACK3_DATA
PLY_AKM_TRACK3_WAITEMPTYCELL
	db 0,0,0,0
PLY_AKM_TRACK3_PTTRACK
	db 0,0,0
PLY_AKM_TRACK3_ESCAPENOTE
	db 0
PLY_AKM_TRACK3_ESCAPEINSTRUMENT
	db 0
PLY_AKM_TRACK3_ESCAPEWAIT
	db 0
PLY_AKM_TRACK3_PTINSTRUMENT
	db 0,0,0,0,0
PLY_AKM_TRACK3_DATA_END
PLY_AKM_REGISTERS_RETTABLE
PLY_AKM_TRACK1_REGISTERS
	db 8
PLY_AKM_TRACK1_VOLUME
	db 0
    dw PLY_AKM_SENDPSGREGISTER
  	db 0
PLY_AKM_TRACK1_SOFTWAREPERIODLSB
	db 0
    dw PLY_AKM_SENDPSGREGISTER
  	db 1
PLY_AKM_TRACK1_SOFTWAREPERIODMSB
	db 0
    dw PLY_AKM_SENDPSGREGISTER
PLY_AKM_TRACK2_REGISTERS
	db 9
PLY_AKM_TRACK2_VOLUME
	db 0
    dw PLY_AKM_SENDPSGREGISTER
  	db 2
PLY_AKM_TRACK2_SOFTWAREPERIODLSB
	db 0
    dw PLY_AKM_SENDPSGREGISTER
  	db 3
PLY_AKM_TRACK2_SOFTWAREPERIODMSB
	db 0
    dw PLY_AKM_SENDPSGREGISTER
PLY_AKM_TRACK3_REGISTERS
	db 10
PLY_AKM_TRACK3_VOLUME
	db 0
    dw PLY_AKM_SENDPSGREGISTER
  	db 4
PLY_AKM_TRACK3_SOFTWAREPERIODLSB
	db 0
    dw PLY_AKM_SENDPSGREGISTER
  	db 5
PLY_AKM_TRACK3_SOFTWAREPERIODMSB
	db 0
    dw PLY_AKM_SENDPSGREGISTER
  	db 6
PLY_AKM_NOISEREGISTER
	db 0
    dw PLY_AKM_SENDPSGREGISTER
  	db 7
PLY_AKM_MIXERREGISTER
	db 0
    dw PLY_AKM_SENDPSGREGISTER
  	db 11
PLY_AKM_REG11
	db 0
    dw PLY_AKM_SENDPSGREGISTER
  	db 12
PLY_AKM_REG12
	db 0
    dw PLY_AKM_SENDPSGREGISTERR13
    dw PLY_AKM_SENDPSGREGISTERAFTERPOP
    dw PLY_AKM_SENDPSGREGISTEREND
PLY_AKM_PERIODTABLE
	dw 4050,3822,3608,3405,3214,3034,2863,2703,2551,2408,2273,2145
